Package: groovy.util

## [Java] Class ObservableList.ObservableListIterator

- groovy.util.ObservableList.ObservableListIterator

- All Implemented Interfaces and Traits:
    ListIterator

      protected class ObservableList.ObservableListIterator
      extends ObservableIterator
      implements ListIterator

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableListIterator(ListIterator iterDelegate, int index)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `add(Object o)`
    `` | `public ListIterator` | `getListIterator()`
    `` | `public boolean` | `hasPrevious()`
    `` | `public int` | `nextIndex()`
    `` | `public Object` | `previous()`
    `` | `public int` | `previousIndex()`
    `` | `public void` | `set(Object o)`

- - ### Constructor Detail

    - #### public ObservableListIterator(ListIterator iterDelegate, int index)

  - ### Method Detail

    - #### @Override
      public void add(Object o)

    - #### public ListIterator getListIterator()

    - #### @Override
      public boolean hasPrevious()

    - #### @Override
      public int nextIndex()

    - #### @Override
      public Object previous()

    - #### @Override
      public int previousIndex()

    - #### @Override
      public void set(Object o)